### Method

# Gtk PrintSettings set_length

#### Declaration [src]

    void
    gtk_print_settings_set_length (
      GtkPrintSettings* settings,
      const char* key,
      double value,
      GtkUnit unit
    )

#### Description [src]

Associates a length in units of `unit` with `key`.

#### Parameters

`key`

  Type: `const char*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `double`

  A length.

`unit`

  Type: `GtkUnit`

  The unit of `length`.